﻿namespace TestMap;

using Microsoft.Maui.Controls.Maps;
using Microsoft.Maui.Maps;
public partial class MainPage : ContentPage
{
	private Pin PinBase { get; set; }
	private Pin PinMachine { get; set; }

	public MainPage()
	{
		InitializeComponent();
		ReloadPins();
		ApplyMySettings();
		
	}

	public void ApplyMySettings()
	{
		map.IsShowingUser = true; // this causes errors by pinching the map with your fingers
		map.MapType = MapType.Hybrid;
	}
	public void ShowGPSRegion(Location location)
	{
		if (location == null) return;
		try
		{
			MapSpan span = new MapSpan(location, 0.01, 0.01);
			map.MoveToRegion(span);
		}
		catch (Exception ex)
		{
			Console.WriteLine(ex);
		}
	}
	public void ReloadPins()
	{
		map.Pins.Clear();
		PinMachine = null;
		PinBase = null;
		
		PinBase = new Pin
		{
			Label = "Trevi Fountain",
			Address = "Somewhere in Rome",
			Type = PinType.Place,
			Location = new Location(41.9010265267397, 12.483291199937362),
		};
		map.Pins.Add(PinBase);

		PinMachine = new Pin
		{
			Label = "My car",
			Address = "Somewhere in Rome",
			Type = PinType.Place,
			Location = new Location(41.902336565970415, 12.483907882475043),
		};
		map.Pins.Add(PinMachine);

		ShowGPSRegion(PinMachine.Location);
	}
}

